-- 
-- Lamborghini1156DT
-- Specialization for Lamborghini 1156 DT
--
-- @author Lovetractor
-- @date 5/4/2012
-- Copyright (C) Lovetractor, All Rights Reserved.

Lamborghini1156DT = {} 

function Lamborghini1156DT.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Lamborghini1156DT:load(xmlFile)

      -- Spie -- 
	    self.spiaMotoreGialla = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.spiaMotoreGialla#index")); 
	    self.spiaMotoreRossa = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.spiaMotoreRossa#index"));
	    self.spiaGasolioRossa = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.spiaGasolioRossa#index"));
	    self.spiaGasolioRossaActive = false;
	    self.gasolio = 100;
	    self.prevousFuelPercentage = 0;
		
end;		

function Lamborghini1156DT:delete()

end;

function Lamborghini1156DT:update(dt)

    -- Spie Gasolio -- 

    if self.isEntered then
		if self.fuelFillLevel < 30 then
			self.gasolio = self.gasolio - dt;
			self.spiaGasolioRossaActive = true;
		else
			self.gasolio = 30000;
			self.spiaGasolioRossaActive = false;
		end;
		setVisibility(self.spiaGasolioRossa,self.spiaGasolioRossaActive);
	end;
end;

function Lamborghini1156DT:draw()

end;

function Lamborghini1156DT:mouseEvent(posX, posY, isDown, isUp, button)

end;

function Lamborghini1156DT:keyEvent(unicode, sym, modifier, isDown)

end;

function Lamborghini1156DT:updateTick(dt)

    if self:getIsActive() then	
		
		-- Spie Motore --	
			
		if self.isMotorStarted then
			setVisibility(self.spiaMotoreGialla, false);
			setVisibility(self.spiaMotoreRossa, false);
		else			
			setVisibility(self.spiaMotoreGialla, true);
			setVisibility(self.spiaMotoreRossa, true);
		end;
	end;
end;

function Lamborghini1156DT:onEnter()
        
	    -- Spie Motore --	
	
		if self.isMotorStarted then
			setVisibility(self.spiaMotoreGialla, false);
			setVisibility(self.spiaMotoreRossa, false);
		else			
			setVisibility(self.spiaMotoreGialla, true);
			setVisibility(self.spiaMotoreRossa, true);
		end
end;			

function Lamborghini1156DT:onLeave()
		
        -- Spie Motore --
		
	    if self.isMotorStarted then
		    setVisibility(self.spiaMotoreGialla, false);
		    setVisibility(self.spiaMotoreRossa, false);
	    else			
		    setVisibility(self.spiaMotoreGialla, true);
		    setVisibility(self.spiaMotoreRossa, true);
	    end
end;